# ApiImpalaRoleDiagnosticsArgs Data Model

Arguments used for Rolling Restart commands.

Properties
name | data type | description
--- | --- | ---
ticketNumber | string | The support ticket number to attach to this data collection.
comments | string | Comments to include with this data collection.
stacksCount | number |
stacksIntervalSeconds | number | Interval between stack collections. Defaults to 0
jmap | boolean |
gcore | boolean |
minidumpsCount | number |
minidumpsIntervalSeconds | number |
phoneHome | boolean |

Example

    {
      "ticketNumber" : "...",
      "comments" : "...",
      "stacksCount" : 12345,
      "stacksIntervalSeconds" : 12345,
      "jmap" : true,
      "gcore" : true,
      "minidumpsCount" : 12345,
      "minidumpsIntervalSeconds" : 12345,
      "phoneHome" : true
    }